<?php
require_once '../inc/common.inc.php';

if(empty($menuid)){echo "<script>window.location.href='$kuHttpPath';</script>";exit;}

$moduleId = 5;
$moduleName = $arrAllModule[$moduleId];


$i = 1;
$strSqlPara = "select paraname from {$configTableHead}para where lang='{$kuWebsiteCurrLanguage}' and id between 50 and 59;";
$result = $dbInstance->query($strSqlPara);
while($downloadPara = $dbInstance->fetchArray($result))
{
  $arrDownloadPara[$i] = $downloadPara['paraname'];
  $i++;
}


$menuid = intval($menuid);
$strSql = "select * from {$configTableHead}menu where id='{$menuid}' and lang='{$kuWebsiteCurrLanguage}';";
$result = $dbInstance->query($strSql);
$row = $dbInstance->fetchArray($result);
$kuBlockDownloadTitle = $row ['menutitle']; 
$kuWebsitePageTitle = $kuBlockDownloadTitle.' - '.$kuWebsiteTitleKeyWords.' - '.$kuWebsiteTitle.$kuPostfix;
$kuWebsiteKeyWords = $row['menukeywords'] ? $row['menukeywords'] : $kuWebsiteKeyWords;
$kuWebsiteDescription = $row['menudesc'] ? $row['menudesc'] : $kuWebsiteDescription;


$arrMenuInfo = getMenuIdInfo($menuid);

$topMenuId = '';
if(count($kuMenuList[$arrMenuInfo[type3]]))$topMenuId = $arrMenuInfo[type3];
else if(count($kuMenuList[$arrMenuInfo[type2]]))$topMenuId = $arrMenuInfo[type2];
else if(count($kuMenuList[$arrMenuInfo[type1]]))$topMenuId = $arrMenuInfo[type1];


$kuPositionId = $menuid;


$strSqlTotal = '';
if(1 == $arrMenuInfo['level'])$strSqlTotal = "select count(*) as amount from {$configTableHead}download where lang='{$kuWebsiteCurrLanguage}' and type1={$menuid} and showsub=1;";
else if(2 == $arrMenuInfo['level'])$strSqlTotal = "select count(*) as amount from {$configTableHead}download where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and showsub=1;";
else if(3 == $arrMenuInfo['level'])$strSqlTotal = "select count(*) as amount from {$configTableHead}download where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and type3={$arrMenuInfo[type3]} and showsub=1;";
else echo "<script>window.location.href='$kuHttpPath';</script>";
//echo $strSqlTotal, $kuHttpPath;


$result = $dbInstance->query($strSqlTotal);
$row = $dbInstance->fetchArray($result);
$totalNumber = $row ['amount']; //总记录数
!empty($page) ? ($page = intval($page)) : $page = 1; //当前页
$actionDisplayNumber = $frontendPagingActionsDisplayNumber; //活动显示页数 
$type = $frontendPagingType; //分页样式0-5 
$isAlwaysShowFirstOrLast = $frontendPagingIsAlwaysShowFirstOrLast; //是否绍终显示第一页和最后一页
$instancePage = new Pages($totalNumber, $page, $kuWebsitePagingNumberdownload, $actionDisplayNumber, $type, $isAlwaysShowFirstOrLast, $kuCaptionPagingFirstPage, $kuCaptionPagingPreviousPage, $kuCaptionPagingNextPage, $kuCaptionPagingLastPage);
$kuPageLinks = $instancePage->disp('page', $kuHttpPath."download/index.php?lang={$kuWebsiteCurrLanguage}&menuid={$menuid}"); 


$startNum = ($page - 1) * $kuWebsitePagingNumberdownload;
$strOrder = getSqlOrderByOfSortType($kuWebsitePagingSortTypedownload);

if(1 == $arrMenuInfo['level'])$strSql = "select * from {$configTableHead}download where lang='{$kuWebsiteCurrLanguage}' and type1={$menuid} and showsub=1 order by {$strOrder} limit $startNum, $kuWebsitePagingNumberdownload;";
else if(2 == $arrMenuInfo['level'])$strSql = "select * from {$configTableHead}download where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and showsub=1 order by {$strOrder} limit $startNum, $kuWebsitePagingNumberdownload;";
else if(3 == $arrMenuInfo['level'])$strSql = "select * from {$configTableHead}download where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and type3={$arrMenuInfo[type3]} and showsub=1 order by {$strOrder} limit $startNum, $kuWebsitePagingNumberdownload;";
else echo "<script>window.location.href='$kuHttpPath';</script>";
//echo $strSql;


$kuStrDownloadList = '';
$kuArrDownloadList = array();
$result = $dbInstance->query($strSql);
while($downloadRow = $dbInstance->fetchArray($result))
{
  $downloadRow['downloadurl'] = $kuHttpPath."download/download.php?lang={$kuWebsiteCurrLanguage}&itemid={$downloadRow['id']}";
  $downloadRow['downloadfileurl'] = stristr($downloadRow['fileurl'], 'http://') ? $downloadRow['fileurl'] : $kuUploadPath.$downloadRow['fileurl'];
  $downloadRow['updatetime'] = substr($downloadRow['updatetime'], 0, 10);
  $downloadRow['addtime'] = substr($downloadRow['addtime'], 0, 10);
  $kuArrDownloadList[] = $downloadRow;
  $kuDownloadTitle = CommTool::cutstrutf8($downloadRow['downloadtitle'], 70);
  $kuStrDownloadList .= "<li><span class=\"right\">{$downloadRow['updatetime']}</span><a href=\"{$downloadRow['downloadurl']}\" title=\"{$downloadRow['downloadtitle']}\">{$kuDownloadTitle}</a></li>";
}



$topNavId = $arrMenuInfo[type1];
$kuStrBlockSideNav = $kuSideNav[$topNavId];


$kuStrBlockContact = $kuBlock[2];

include_once KUWEBS_ABSOLUTE_PATH."inc/headermenu.php"; 
include_once KUWEBS_ABSOLUTE_PATH."inc/footer.php";
include_once template('downloadlist');


?>